#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME := /usr/lib/jvm/default-java
DEB_JARS  := ant-junit ant-nodeps asm3-all jffi jnr-x86asm junit4

install/libjaffl-java::
	mh_installpom -plibjaffl-java pom.xml
	mh_installjar -plibjaffl-java pom.xml -l dist/jaffl-*.jar

clean::
	$(RM) -rf build

get-orig-source:
	uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename
